# Contributing

# Issues
Before opening an issue, please make sure your problem or request doesn't exist. When opening an issue, please provide the following information if possible:

* Example code or repo (please keep it simple and minimal)
* Steps to reproduce.
* `react-bootstrap-table2` version.

Additionally, asking questions and requesting new features are welcomed via [issue tracker](https://github.com/react-bootstrap-table/react-bootstrap-table2/issues).

# Pull Requests
Check [here](./docs/development.md) for getting started with development.

* PR base is `develop` branch
* We recommend filing an [issue](https://github.com/react-bootstrap-table/react-bootstrap-table2/issues) before you implement any new features.
* Please ensure that all the test suites have passed before submitting a PR. Besides, always test the actual business logic.
* If your PR is trying to fix a bug, please describe the details as much as you could and tag the bug number with hashtag.

# For the members of react-bootstrap-table2 org
* Please convert the ticket to issue when the ticket has moved from `Backlog` to `Ready`.
* Please update the docs if any API, feature or component props was changed or added. The code and docs should always be in sync.
* Please add a story example if any new feature was implemented.